<?php

namespace Drupal\standwithukraine\Controller;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Controller for standwithukraine pages.
 */
class StandWithUkraineController extends ControllerBase {

  /**
   * The favicon.
   *
   * @var \Drupal\standwithukraine\Service\StandWithUkraineFaviconInterface
   */
  protected $favicon;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    $instance = parent::create($container);

    $instance->favicon = $container->get('standwithukraine.favicon');

    return $instance;
  }

  /**
   * Checks access for the favicon settings page.
   *
   * @return \Drupal\Core\Access\AccessResultInterface
   *   The access result.
   */
  public function access() {
    $config = $this->config('system.theme');

    foreach (['default', 'admin'] as $type) {
      if (!empty($name = $config->get($type))) {
        $favicon = $this->favicon->build($name);

        if (isset($favicon[$name])) {
          return AccessResult::allowed();
        }
      }
    }

    return AccessResult::neutral();
  }

}
