<?php

namespace Drupal\standwithukraine\Plugin\Block;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\Core\Render\RendererInterface;
use Drupal\Core\Security\TrustedCallbackInterface;

/**
 * Provides an interface for a block to display a message.
 */
interface StandWithUkraineBlockInterface extends ContainerFactoryPluginInterface, TrustedCallbackInterface {

  /**
   * The default value for inheriting options.
   */
  const INHERIT = TRUE;

  /**
   * The default values.
   */
  const CONFIGURATION = [
    'text' => NULL,
    'single' => FALSE,
    'sizes' => [
      'first' => FALSE,
      'last' => TRUE,
    ],
    'url' => NULL,
  ];

  /**
   * Creates a StandWithUkraineBlock instance.
   *
   * @param array $configuration
   *   A configuration array containing information about the plugin instance.
   * @param string $plugin_id
   *   The plugin_id for the plugin instance.
   * @param mixed $plugin_definition
   *   The plugin implementation definition.
   * @param \Drupal\Core\Config\ConfigFactoryInterface $config_factory
   *   The configuration factory.
   * @param \Drupal\Core\Render\RendererInterface $renderer
   *   The renderer.
   */
  public function __construct(
    array $configuration,
    $plugin_id,
    $plugin_definition,
    ConfigFactoryInterface $config_factory,
    RendererInterface $renderer
  );

}
